# vue-counter

This is a **counter button** where you can change the value

* press the +, - buttons 
* press the up, down arrow
* scroll the mouse wheel
* set a minimum value via prop

## Installation

    npm install vue-counter
    
## Usage

In your **template**

    <counter @counterVal = "counter[0] = $event" minimumVal="5"></counter>
    <counter @counterVal = "counter[1] = $event" minimumVal="10"></counter>
    <counter @counterVal = "counter[2] = $event" minimumVal="15"></counter>
    
In **script**

    data(){
      return {
        counter: [],
      }
    },
    